\version "2.24.3"

#(set-global-staff-size 18)
\paper {
	system-separator-markup = \slashSeparator
}

\header {
  title = "Laudate Dominum"
  subtitle = "from “Vesperae solennes de Confessore” KV 339 No. 5"
  composer = "W. A. Mozart"
}

global = {
  \key f \major
  \numericTimeSignature
  \time 6/8
  \tempo "Andante ma un poco sostenuto"
}

\include "src/bassoon-c.ly"
\include "src/violinI-c.ly"
\include "src/violinII-c.ly"
\include "src/sopsolo-c.ly"
\include "src/chsop-c.ly"
\include "src/chalto-c.ly"
\include "src/chtenor-c.ly"
\include "src/chbass-c.ly"
\include "src/base-c.ly"

\score {
  <<
    \new StaffGroup <<
		\override StaffGroup.SystemStartBracket.collapse-height = 4
		\override Score.SystemStartBar.collapse-height = 4
	\new Staff \with {
		instrumentName = "Bassoon"
		midiInstrument = "bassoon"
		\small
	} { \clef bass \bassoon }
    >>
    \new StaffGroup <<
	\new Staff \with {
		instrumentName = "Vn I"
		midiInstrument = "violin"
	} \violini
	\new Staff \with {
		instrumentName = "Vn II"
		midiInstrument = "violin"
	} \violinii
    >>
	\new Staff \with {
		instrumentName = "S Solo"
		midiInstrument = "choir aahs"
		\large
	} { \sopranoSoloVoice }
	\addlyrics { \sopranoSoloVerse }
    \new ChoirStaff <<
	    \new Staff \with {
	      instrumentName = "S"
	      midiInstrument = "choir aahs"
	    } { \sopranoVoice }
	    \addlyrics { \sopranoverse }
	    \new Staff \with {
	      instrumentName = "A"
	      midiInstrument = "choir aahs"
	    } { \clef "treble" \altoVoice }
	    \addlyrics { \altoverse }
	    \new Staff \with {
	       instrumentName = "T"
	       midiInstrument = "choir aahs"
	     } { \clef "treble_8" \tenorVoice }
	     \addlyrics { \tenorverse }
	     \new Staff \with {
	       instrumentName = "B"
	       midiInstrument = "choir aahs"
	     } { \clef "bass" \bassVoice }
	     \addlyrics { \bassverse }
    >>
    \new StaffGroup <<
		\override StaffGroup.SystemStartBracket.collapse-height = 4
		\override Score.SystemStartBar.collapse-height = 4
	    \new Staff \with {
	      instrumentName = "Vcl.,B."
	      midiInstrument = "cello"
	      \small
	    } { \clef bass \cello }
    >>
  >>
  \layout {
    \context {
      \Staff 
      \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 8=72
  }
}
